%define	major	0
%define libname	%mklibname radiusclient %{major}

%define name	ppp
%define version	2.4.3
%define release	4mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	The PPP daemon and documentation for Linux 1.3.xx and greater
License:	BSD/GPL
Url:		http://www.samba.org/ppp/
Group:		System/Servers
Source0:	ftp://ftp.samba.org/pub/ppp/%{name}-%{version}.tar.bz2
Source1:	ppp-2.3.5-pamd.conf
Source2:	ppp-2.4.1-mppe-crypto.tar.bz2
Source3:	README.pppoatm
Source4:	ppp.logrotate
Source5:	ppp-dhcpc.tar.bz2
Source6:	ppp-contrib.tar.bz2
Patch0:		ppp-2.4.2-make.patch.bz2
Patch1:		ppp-2.3.6-sample.patch.bz2
Patch2:		ppp-2.4.2-wtmp.patch.bz2
Patch3:		ppp-2.4.2-makeopt.patch.bz2
Patch4:		ppp-options.patch.bz2
Patch5:		ppp-2.4.2-pppdump-Makefile.patch.bz2
Patch6:		ppp-2.4.1-noexttraffic.patch.bz2
Patch7:		http://linux-usb.sourceforge.net/SpeedTouch/download/pppoatm.diff
Patch8: 	ppp-2.4.2-pie.patch.bz2
Patch9:		ppp-pcap_h.patch.bz2
Patch10:	ppp-2.4.2-dontwriteetc.patch.bz2
#(peroyvind) not from the original url, regenerated by me to fit our patches
Patch11:	http://www.polbox.com/h/hs001/ppp-2.4.3-mppe-mppc-1.1-mdk.patch.bz2
Patch12:	ppp-2.4.2-contrib.patch.bz2
#Patch13:	ppp-2.4.2-signal.patch.bz2
Patch14:	ppp-2.4.2-64bit-fixes.patch.bz2
Patch15:	ppp-2.4.2-pic.patch.bz2
Patch16:	ppp-2.4.3-fix-patchlevel.patch.bz2
BuildRequires:	liblinux-atm-devel
BuildRequires:	libpcap-devel 
BuildRequires:	openssl-devel >= 0.9.7
BuildRequires:	pam-devel
BuildRequires: 	libgtk+-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	glibc >= 2.0.6

%description
The ppp package contains the PPP (Point-to-Point Protocol) daemon
and documentation for PPP support.  The PPP protocol provides a
method for transmitting datagrams over serial point-to-point links.

The ppp package should be installed if your machine need to support
the PPP protocol.

%package	devel
Summary:	PPP devel files
Group:		Development/C
Requires:	%{name} = %{version}-%{release}

%description	devel

PPP over ATM plugin for %{name}.
%package	pppoatm
Summary:	PPP over ATM plugin for %{name}
Group:		System/Servers
Requires:	%{name} = %{version}-%{release}

%description	pppoatm
PPP over ATM plugin for %{name}.

%package	pppoe
Summary:	PPP over ethernet plugin for %{name}
Group:		System/Servers
Requires:	%{name} = %{version}-%{release}

%description	pppoe
PPP over ethernet plugin for %{name}.

%package	radius
Summary:	Radius plugin for %{name}
Group:		System/Servers
Requires:	%{name} = %{version}-%{release}
Requires:	radiusclient-utils

%description	radius
Radius plugin for %{name}.

%package	dhcp
Summary:	DHCP plugin for %{name}
Group:		System/Servers
Requires:	%{name} = %{version}-%{release}

%description	dhcp
DHCP plugin for %{name}.

%package	prompt
Summary:	Prompt program for %{name}
Group:		System/Servers
Requires:	%{name} = %{version}-%{release}

%description	prompt
Prompt password program for %{name}.

#%package -n	radiusclient-utils
#Summary:	Radiusclient library
#Group:		System/Servers
#Requires:	%{libname} = %{version}-%{release}
#Conflicts:	radiusclient
#
#%description -n	radiusclient-utils
#Radiusclient is a /bin/login replacement which gets called by a getty
#to log in a user and to setup the user's login environment. Normal
#login programs just check the login name and password which the user
#entered against the local password file (/etc/passwd, /etc/shadow). In
#contrast to that Radiusclient also uses the RADIUS protocol to
#authenticate the user.
#
#%package -n	%{libname}
#Summary:	Radiusclient library
#Group:		System/Libraries
#
#%description -n	%{libname}
#Libraries required for Radiusclient
#
#%package -n	%{libname}-devel
#Summary:	Header files and development documentation for %{name}
#Group:		Development/C
#Requires:	%{libname} = %{version}-%{release}
#Provides:	%{name}-devel
#Provides:	libradiusclient-devel
#
#%description -n	%{libname}-devel
#Header files and development documentation for %{name}.
#
#%package -n	%{libname}-static-devel
#Summary:	Static libraries for %{name}
#Group:		Development/C
#Requires:	%{libname}-devel = %{version}-%{release}
#
#%description -n	%{libname}-static-devel
#%{name} static library.

%prep
%setup -q -a6
find -type d -name CVS|xargs rm -rf
%patch0 -p1 -b .make
%patch1 -p1 -b .sample
%patch2 -p1 -b .wtmp
%patch3 -p1 -b .makeopt
%patch4 -p1 -b .options
%patch5 -p1 -b .pppdump-Makefile

# (gg) add noext-traffic option
%patch6 -p1 -b .noext

%patch7 -p1 -b .pppoatm
%patch8 -p1 -b .pie

tar -xjf %{SOURCE2}
pushd pppd/plugins
	tar -xjf %{SOURCE5}
popd

# Olivier Thauvin Fix build with pcap
%patch9

%patch10 -p1 -b .dontwriteetc
%patch11 -p1 -b .mppe_mppc
%patch12 -p1 -b .contrib
#%patch13 -p1 -b .signal
%patch14 -p1 -b .64bit-fixes
%patch15 -p1 -b .pic
%patch16 -p1 -b .patchlevel

# update config.{guess,sub}
%{?__cputoolize: %{__cputoolize} -c ./pppd/plugins/radius/radiusclient}

# lib64 fixes
perl -pi -e "s|^(LIBDIR.*)/usr/lib|\1%{_libdir}|g" pppd/Makefile.linux pppd/plugins/Makefile.linux
perl -pi -e "s|(--prefix=/usr)|\1 --libdir=%{_libdir}|g" pppd/plugins/radius/Makefile.linux
perl -pi -e "/_PATH_PLUGIN/ and s|/usr/lib|%{_libdir}|"  pppd/pathnames.h
# enable the radius and the dhcp plugins
perl -p -i -e "s|# SUBDIRS \+= radius|SUBDIRS += radius dhcp|g" pppd/plugins/Makefile.linux

%build
# stpcpy() is a GNU extension
OPT_FLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE"

perl -pi -e "s/openssl/openssl -DOPENSSL_NO_SHA1/;" openssl/crypto/sha/Makefile

CFLAGS="$OPT_FLAGS" CXXFLAGS="$OPT_FLAGS" %configure
# remove the following line when rebuilding against kernel 2.4 for multilink
#perl -pi -e "s|-DHAVE_MULTILINK||" pppd/Makefile
make RPM_OPT_FLAGS="$OPT_FLAGS -DDO_BSD_COMPRESS=0"
make -C pppd/plugins -f Makefile.linux
make -C contrib/pppgetpass -f Makefile.linux

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}{%{_sbindir},%{_bindir},/usr/X11R6/bin/,%{_mandir}/man8,%{_sysconfdir}/{ppp/peers,pam.d}}

%{makeinstall_std} \
	BINDIR=%{buildroot}%{_sbindir} \
	MANDIR=%{buildroot}%{_mandir} \
	ETCDIR=%{buildroot}%{_sysconfdir}/ppp \
	LIBDIR=%{buildroot}%{_libdir}/pppd/%{version} \
	INSTALL="%{_bindir}/install"

%multiarch_includes %{buildroot}%{_includedir}/pppd/pathnames.h

# (florin) strip the binary
strip %{buildroot}%{_sbindir}/pppd

chmod go+r scripts/*
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/pam.d/ppp
install -m 644 %{SOURCE3} %{_builddir}/%{name}-%{version}/

# (stew) fix permissions
chmod 0755 `find %{buildroot} -name "*\.so"`

# Provide pointers for people who expect stuff in old places
mkdir -p %{buildroot}/var/log/ppp
mkdir -p %{buildroot}/var/run/ppp
touch %{buildroot}/var/log/ppp/connect-errors
touch %{buildroot}/var/run/ppp/resolv.conf

ln -s ../../var/log/ppp/connect-errors $RPM_BUILD_ROOT/etc/ppp/connect-errors
ln -s ../../var/run/ppp/resolv.conf $RPM_BUILD_ROOT/etc/ppp/resolv.conf

# Logrotate script
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT/etc/logrotate.d/ppp

rm -rf %{buildroot}%{_sbindir}/*rad*
rm -rf %{buildroot}%{_sysconfdir}/*rad*
rm -rf %{buildroot}%{_includedir}/*rad*
rm -rf %{buildroot}%{_libdir}/*rad*

#%post -n %{libname} -p /sbin/ldconfig
#%postun -n %{libname} -p /sbin/ldconfig
#
#%post -n %{libname}-devel -p /sbin/ldconfig
#%postun -n %{libname}-devel -p /sbin/ldconfig
#
%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc FAQ PLUGINS README* scripts sample 
%{_sbindir}/chat
%{_sbindir}/pppdump
%attr(5755,root,root)	%{_sbindir}/pppd
%attr(0755,root,daemon)	%{_sbindir}/pppstats
%{_mandir}/man*/*
%exclude %{_mandir}/man8/*rad*
%dir %{_libdir}/pppd
%{_libdir}/pppd/%{version}
%exclude %{_libdir}/pppd/%{version}/pppoatm.so
%exclude %{_libdir}/pppd/%{version}/rp-pppoe.so
%exclude %{_libdir}/pppd/%{version}/rad*
%exclude %{_libdir}/pppd/%{version}/dhcpc.so
%dir %{_sysconfdir}/ppp
%dir /var/run/ppp 
/var/run/ppp/*
%attr(700, root, root) %dir /var/log/ppp
/var/log/ppp/*
%attr(0600,root,daemon)	%config(noreplace) %{_sysconfdir}/ppp/chap-secrets
%attr(0600,root,daemon)	%config(noreplace) %{_sysconfdir}/ppp/options
%attr(0600,root,daemon)	%config(noreplace) %{_sysconfdir}/ppp/pap-secrets
%attr(0600,root,daemon)	%config(noreplace) %{_sysconfdir}/ppp/peers
%attr(0600,root,daemon)	%{_sysconfdir}/ppp/connect-errors
%attr(0600,root,daemon)	%{_sysconfdir}/ppp/resolv.conf
%attr(755,root,daemon) %dir %{_sysconfdir}/ppp/peers
%config(noreplace) %{_sysconfdir}/pam.d/ppp
%config(noreplace) /etc/logrotate.d/ppp

%files devel
%defattr(-,root,root)
%doc README*
%{_includedir}/pppd/*
%multiarch %{multiarch_includedir}/pppd/pathnames.h

%files pppoatm
%defattr(-,root,root)
%doc README
%{_libdir}/pppd/%{version}/pppoatm.so

%files pppoe
%defattr(-,root,root)
%doc README
%{_libdir}/pppd/%{version}/rp-pppoe.so

%files radius
%defattr(-,root,root)
%doc README
%{_libdir}/pppd/%{version}/rad*.so
%{_mandir}/man8/*rad*

%files dhcp
%defattr(-,root,root)
%doc pppd/plugins/dhcp/README 
%doc pppd/plugins/dhcp/AUTHORS
%doc pppd/plugins/dhcp/COPYING
%{_libdir}/pppd/%{version}/dhcpc.so

%files prompt
%defattr(-,root,root)
%doc README 
%{_bindir}/*
/usr/X11R6/bin/*

#%files -n radiusclient-utils
#%defattr(644,root,root,755)
#%doc pppd/plugins/radius/radiusclient/BUGS 
#%doc pppd/plugins/radius/radiusclient/CHANGES 
#%doc pppd/plugins/radius/radiusclient/README 
#%doc pppd/plugins/radius/radiusclient/doc/*.html
#%dir %{_sysconfdir}/radiusclient
#%attr(644,root,root) %config(missingok,noreplace) %verify(not md5 size mtime) %{_sysconfdir}/radiusclient/*
#%attr(755,root,root) %{_sbindir}/*rad*
#
#%files -n %{libname}
#%defattr(-,root,root)
#%attr(755,root,root) %{_libdir}/lib*.so.*
#
#%files -n %{libname}-devel
#%defattr(644,root,root,755)
#%attr(755,root,root) %{_libdir}/lib*.so
#%attr(755,root,root) %{_libdir}/lib*.la
#%{_includedir}/*rad*
#
#%files -n %{libname}-static-devel
#%defattr(644,root,root,755)
#%{_libdir}/lib*.a
#
%changelog
* Wed Feb  2 2005 Olivier Blin <oblin@mandrakesoft.com> 2.4.3-4mdk
- do not mark symbolic links as config files (#13090)
- really ship README.pppoatm

* Tue Feb  1 2005 Olivier Blin <blino@mandrake.org> 2.4.3-3mdk
- multiarch support

* Tue Jan 18 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.4.3-2mdk
- fix patchlevel (P16), pppd reported versions as 2.4.2 and not 2.4.3

* Mon Jan 17 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.4.3-1mdk
- 2.4.3
- update mppe/mppc patch (P11)
- drop P13( merged upstream)
- pppgetpass has been silently dropped from upstream, ship it in own source (S6)
- fix summary-ended-with-dot
- fix cvs-internal-file

* Wed Oct  6 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.4.2-9mdk
- lib64 fixes

* Mon Sep 20 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.4.2-8mdk
- build DSO with PIC
- -pie & 64-bit fixes

* Tue Aug 24 2004 Olivier Blin <blino@mandrake.org> 2.4.2-7mdk
- fix infinite loop in pty program kill

* Fri Jun 18 2004 Florin <florin@mandrakesoft.com> 2.4.2-6mdk
- move the prompt program to ppp-prompt package (depends on gtk)
- add resolv.conf and connect-errors files
- the mppe syntax has changed (see the www.polbox.com/h/hs001/ page
for more info on this)

* Thu Jun 17 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.4.2-5mdk
- add BuildRequires: libgtk+-devel

* Wed Jun 16 2004 Florin <florin@mandrakesoft.com> 2.4.2-4mdk
- fix peers permissions

* Sat Jun 12 2004 Florin <florin@mandrakesoft.com> 2.4.2-3mdk
- enable the radius plugin/package
- strip the binary
- add the existing radiusclient files
- spec file cleaning
- add the dhcp plugin (source 5)
- build the password prompt (contrib patch)

* Tue Jun 01 2004 Florin <florin@mandrakesoft.com> 2.4.2-2mdk
- use a different pppoatm patch

* Mon May 24 2004 Florin <florin@mandrakesoft.com> 2.4.2-1mdk
- 2.4.2
- update the make, makeopt, wtmp patch
- remove the pam_session, zfree, mppe, includes, libdir, filter
- pppoe, disconnect, gcc, pcap, varargs obsolete patches
- add the includes files
- add the README.pppoatm FAQ PLUGINS files
- add the logrotate patch and file (rh)
- add the pie, dontwriteetc patches (rh)

* Fri Feb 27 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.4.1-13mdk
- Own dir (distlint)
- patch31 - fix build against pcap

* Wed Aug 13 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.4.1-12mdk
- Patch15: Fix varargs on amd64

* Sun Jul 27 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 2.4.1-11mdk
- applied disconnection patch (Frode Isaksen <fisaksen@bewan.com>)

* Thu Jun 19 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 2.4.1-10mdk
- splitted pppoatm and pppoe plugins
- spec cleanup
- fixed compilation

* Thu Feb 13 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.4.1-9mdk
- Rebuild for new libopenssl
- PPPoE and PPPoATM kernel support 
- Contribution by Guillaume Rousse <guillomovitch@plf.zarb.org>
  Patches 11 and 12: pppoatm support (stolen from Suse)
  BuildRequires liblinux-atm-devel

* Sat Nov 02 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.4.1-8mdk
- added Dieter Jurzitza's patch to add noext-traffic feature.

* Thu Oct 31 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.4.1-7mdk
- Activate filter capabilities.

* Fri Aug  9 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.4.1-6mdk
- Hand patch for lib64
- Patch10: Add missing includes
- Patch11: Fix location of pppd modules

* Mon Jun  3 2002 Stew Benedict <sbenedict@mandrakesoft.com> 2.4.1-5mdk
- add mppe functionality for pptp VPN dialin to NT servers

* Mon Apr 08 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.4.1-4mdk
- ppp has a new home at samba.org.

* Tue Mar  5 2002 Frederic Lepied <flepied@mandrakesoft.com> 2.4.1-3mdk
- rebuild

* Thu Jul 19 2001 Stefan van der Eijk <stefan@eijk.nu> 2.4.1-2mdk
- BuildRequires:	pam-devel

* Sun Apr 07 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.4.1-1mdk
- Version 2.4.1.
- Create /usr/lib/<pppd-version> for the new plugin feature.

* Sun Dec 10 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.4.0-4mdk
- try to rebuild with multilink.

* Tue Sep 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-3mdk
- Pamstackizification.
- check pam_open_session result code (rh).

* Thu Aug 31 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.4.0-2mdk
- add noauth, noipdefault and userpeerdns to /etc/ppp/options (pablo).

* Sun Aug 06 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.4.0-1mdk
- new and shiny version
- rebuild for new url

* Wed Jul 26 2000 Francis Galiegue <fg@mandrakesoft.com> 2.3.11-9mdk

- /dev/ppp is now in dev package
- some %files list cleanup

* Fri Jul 21 2000 Francis Galiegue <fg@mandrakesoft.com> 2.3.11-8mdk

- BM

* Wed May 03 2000 Jerome Martin <jerome@mandrakesoft.com> 2.3.11-7mdk
- Changed pppd perms again, to add the save to disk swap attribute in
  order to allow some sort of modem locking.
  
* Wed May 03 2000 Jerome Martin <jerome@mandrakesoft.com> 2.3.11-6mdk
- Added suid root permission to pppd
- rebuild for new environment

* Sat Apr 08 2000 John Buswell <johnb@mandrakesoft.com> 2.3.11-5mdk
- Fixed perms on /etc/ppp/peers

* Thu Mar 30 2000 John Buswell <johnb@mandrakesoft.com> 2.3.11-4mdk
- Fixed groups
- spec-helper

* Sun Feb 27 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.3.11-3mdk
- added RedHat reaper (ppp-2.3.11-reap) patch and synched with
  RedHat version 2.3.11-1.
- added pppdump and pppdump.8 man pages.
- added ppp-2.3.11-makeopt patch.

* Sun Feb 06 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 2.3.11-1mdk
- 2.3.11

* Mon Nov 22 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- remove %post.

* Fri Nov 12 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- fix for double-dial problem(r).
- fix for requiring a controlling terminal problem(r).

* Wed Nov 10 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Create /etc/ppp/peers.

* Thu Nov 04 1999 John Buswell <johnb@mandrakesoft.com>
- 2.3.10
- Build Release

* Mon Sep 20 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Fix %%post ?? 

* Mon Sep 20 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Fix %%post

* Mon Sep 20 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- -DCHAPMS
- -DUSE_PAM

* Tue Sep  7 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Add /dev/ppp
- Add entries in /etc/conf.modules if they aren't there yet

* Wed Aug 25 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- 2.3.9 (required for kernel 2.3.14+)

* Thu Jul 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Removing unused stuff.
- Upgrade patch.
- 2.3.8.

* Fri Jul 10 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Define the .pid to /var/run/
- Glare @Chmouel

* Fri Jul 09 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Define the .pid to /var/run not to /etc/ (reported by Nikodemus Karlsson
  <nickek@algonet.se>).

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Fri Apr 09 1999 Cristian Gafton <gafton@redhat.com>
- force pppd use the glibc's logwtmp instead of implementing its own

* Wed Apr 01 1999 Preston Brown <pbrown@redhat.com>
- version 2.3.7 bugfix release

* Tue Mar 23 1999 Cristian Gafton <gafton@redhat.com>
- version 2.3.6

* Mon Mar 22 1999 Michael Johnson <johnsonm@redhat.com>
- auth patch

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Thu Jan 07 1999 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Fri Jun  5 1998 Jeff Johnson <jbj@redhat.com>
- updated to 2.3.5.

* Tue May 19 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Fri May  8 1998 Jakub Jelinek <jj@ultra.linux.cz>
- make it run with kernels 2.1.100 and above.

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Mar 18 1998 Cristian Gafton <gafton@redhat.com>
- requires glibc 2.0.6 or later

* Wed Mar 18 1998 Michael K. Johnson <johnsonm@redhat.com>
- updated PAM patch to not turn off wtmp/utmp/syslog logging.

* Wed Jan  7 1998 Cristian Gafton <gafton@redhat.com>
- added the /etc/pam.d config file
- updated PAM patch to include session support

* Tue Jan  6 1998 Cristian Gafton <gafton@redhat.com>
- updated to ppp-2.3.3, build against glibc-2.0.6 - previous patches not
  required any more.
- added buildroot
- fixed the PAM support, which was really, completely broken and against any
  standards (session support is still not here... :-( )
- we build against running kernel and pray that it will work
- added a samples patch; updated glibc patch

* Thu Dec 18 1997 Erik Troan <ewt@redhat.com>
- added a patch to use our own route.h, rather then glibc's (which has 
  alignment problems on Alpha's) -- I only applied this patch on the Alpha,
  though it should be safe everywhere

* Fri Oct 10 1997 Erik Troan <ewt@redhat.com>
- turned off the execute bit for scripts in /usr/doc

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Mar 25 1997 Erik Troan <ewt@redhat.com>
- Integrated new patch from David Mosberger
- Improved description
